DPKG Probleme mit PROMPT im Skript


NetBull

Erfahrenes Mitglied
#1
Hi,

ich muss für ne Vagrant die immer wieder neu gebaut wird, die mysql 5.7 Installation automatisieren. Dazu verwende ich das hier:
Code:
wget http://dev.mysql.com/get/mysql-apt-config_0.6.0-1_all.deb
sudo dpkg -i mysql-apt-config_0.6.0-1_all.deb
sudo apt-get update
Leider kommt beim dpkg -i ein Prompt das wissen möchte welche Version 5.6 oder 5.7 und welcher Art die Installation sein soll. Kann ich die Antworten im Skript mit übergeben oder vorher irgendwo schon festlegen?

LG deAndro

8145138-shot1.jpg 8145138-shot2.jpg
 

ikosaeder

Teekannen-Agnostiker
#2
Du kannst unter Linux mit der Umleitung < die Anworten aus einer Datei holen
sudo dpkg -i mysql-apt-config_0.6.0-1_all.deb < Dateiname.txt
In Dateiname.txt schreibst du einfach die Antworten 1 pro Zeile rein.
 

Bratkartoffel

gebratene Kartoffel
Premium-User
#3
Hoi,

anstatt mysql-apt-config zu installieren könntest du direkt die sources.list (oder besser: in /etc/apt/sources.list.d/ eine mysql.list anlegen) mit dem mysql-5.7 repository befüllen.
Das mysql-apt-config dient meiner Meinung nach nur dazu, den Wechsel zwischen 5.5, 5.6 und 5.7 zu vereinfachen.

Grüsse,
BK